Changeset 1466 for trunk/Cbc/configure


Ignore:
Timestamp:
Jun 9, 2010 6:25:35 AM (9 years ago)
Author:
stefan
Message:

add (back) option to use SoPlex? as LP solver

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Cbc/configure

    r1464 r1466  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA REQUIREDPACKAGES COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA REQUIREDPACKAGES COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11521152  --with-msk-incdir directory with header files for using module Msk
    11531153  --with-msk-datadir directory with data files for using module Msk
     1154  --with-spx-lib linker flags for using module Spx
     1155  --with-spx-incdir directory with header files for using module Spx
     1156  --with-spx-datadir directory with data files for using module Spx
    11541157  --with-xpr-lib linker flags for using module Xpr
    11551158  --with-xpr-incdir directory with header files for using module Xpr
     
    59035906*-*-irix6*)
    59045907  # Find out which ABI we are using.
    5905   echo '#line 5905 "configure"' > conftest.$ac_ext
     5908  echo '#line 5908 "configure"' > conftest.$ac_ext
    59065909  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59075910  (eval $ac_compile) 2>&5
     
    70377040
    70387041# Provide some information about the compiler.
    7039 echo "$as_me:7039:" \
     7042echo "$as_me:7042:" \
    70407043     "checking for Fortran 77 compiler version" >&5
    70417044ac_compiler=`set X $ac_compile; echo $2`
     
    81048107   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81058108   -e 's:$: $lt_compiler_flag:'`
    8106    (eval echo "\"\$as_me:8106: $lt_compile\"" >&5)
     8109   (eval echo "\"\$as_me:8109: $lt_compile\"" >&5)
    81078110   (eval "$lt_compile" 2>conftest.err)
    81088111   ac_status=$?
    81098112   cat conftest.err >&5
    8110    echo "$as_me:8110: \$? = $ac_status" >&5
     8113   echo "$as_me:8113: \$? = $ac_status" >&5
    81118114   if (exit $ac_status) && test -s "$ac_outfile"; then
    81128115     # The compiler can only warn and ignore the option if not recognized
     
    83728375   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83738376   -e 's:$: $lt_compiler_flag:'`
    8374    (eval echo "\"\$as_me:8374: $lt_compile\"" >&5)
     8377   (eval echo "\"\$as_me:8377: $lt_compile\"" >&5)
    83758378   (eval "$lt_compile" 2>conftest.err)
    83768379   ac_status=$?
    83778380   cat conftest.err >&5
    8378    echo "$as_me:8378: \$? = $ac_status" >&5
     8381   echo "$as_me:8381: \$? = $ac_status" >&5
    83798382   if (exit $ac_status) && test -s "$ac_outfile"; then
    83808383     # The compiler can only warn and ignore the option if not recognized
     
    84768479   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84778480   -e 's:$: $lt_compiler_flag:'`
    8478    (eval echo "\"\$as_me:8478: $lt_compile\"" >&5)
     8481   (eval echo "\"\$as_me:8481: $lt_compile\"" >&5)
    84798482   (eval "$lt_compile" 2>out/conftest.err)
    84808483   ac_status=$?
    84818484   cat out/conftest.err >&5
    8482    echo "$as_me:8482: \$? = $ac_status" >&5
     8485   echo "$as_me:8485: \$? = $ac_status" >&5
    84838486   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84848487   then
     
    1082110824  lt_status=$lt_dlunknown
    1082210825  cat > conftest.$ac_ext <<EOF
    10823 #line 10823 "configure"
     10826#line 10826 "configure"
    1082410827#include "confdefs.h"
    1082510828
     
    1092110924  lt_status=$lt_dlunknown
    1092210925  cat > conftest.$ac_ext <<EOF
    10923 #line 10923 "configure"
     10926#line 10926 "configure"
    1092410927#include "confdefs.h"
    1092510928
     
    1326513268   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1326613269   -e 's:$: $lt_compiler_flag:'`
    13267    (eval echo "\"\$as_me:13267: $lt_compile\"" >&5)
     13270   (eval echo "\"\$as_me:13270: $lt_compile\"" >&5)
    1326813271   (eval "$lt_compile" 2>conftest.err)
    1326913272   ac_status=$?
    1327013273   cat conftest.err >&5
    13271    echo "$as_me:13271: \$? = $ac_status" >&5
     13274   echo "$as_me:13274: \$? = $ac_status" >&5
    1327213275   if (exit $ac_status) && test -s "$ac_outfile"; then
    1327313276     # The compiler can only warn and ignore the option if not recognized
     
    1336913372   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1337013373   -e 's:$: $lt_compiler_flag:'`
    13371    (eval echo "\"\$as_me:13371: $lt_compile\"" >&5)
     13374   (eval echo "\"\$as_me:13374: $lt_compile\"" >&5)
    1337213375   (eval "$lt_compile" 2>out/conftest.err)
    1337313376   ac_status=$?
    1337413377   cat out/conftest.err >&5
    13375    echo "$as_me:13375: \$? = $ac_status" >&5
     13378   echo "$as_me:13378: \$? = $ac_status" >&5
    1337613379   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1337713380   then
     
    1493914942   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1494014943   -e 's:$: $lt_compiler_flag:'`
    14941    (eval echo "\"\$as_me:14941: $lt_compile\"" >&5)
     14944   (eval echo "\"\$as_me:14944: $lt_compile\"" >&5)
    1494214945   (eval "$lt_compile" 2>conftest.err)
    1494314946   ac_status=$?
    1494414947   cat conftest.err >&5
    14945    echo "$as_me:14945: \$? = $ac_status" >&5
     14948   echo "$as_me:14948: \$? = $ac_status" >&5
    1494614949   if (exit $ac_status) && test -s "$ac_outfile"; then
    1494714950     # The compiler can only warn and ignore the option if not recognized
     
    1504315046   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1504415047   -e 's:$: $lt_compiler_flag:'`
    15045    (eval echo "\"\$as_me:15045: $lt_compile\"" >&5)
     15048   (eval echo "\"\$as_me:15048: $lt_compile\"" >&5)
    1504615049   (eval "$lt_compile" 2>out/conftest.err)
    1504715050   ac_status=$?
    1504815051   cat out/conftest.err >&5
    15049    echo "$as_me:15049: \$? = $ac_status" >&5
     15052   echo "$as_me:15052: \$? = $ac_status" >&5
    1505015053   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1505115054   then
     
    1725017253   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1725117254   -e 's:$: $lt_compiler_flag:'`
    17252    (eval echo "\"\$as_me:17252: $lt_compile\"" >&5)
     17255   (eval echo "\"\$as_me:17255: $lt_compile\"" >&5)
    1725317256   (eval "$lt_compile" 2>conftest.err)
    1725417257   ac_status=$?
    1725517258   cat conftest.err >&5
    17256    echo "$as_me:17256: \$? = $ac_status" >&5
     17259   echo "$as_me:17259: \$? = $ac_status" >&5
    1725717260   if (exit $ac_status) && test -s "$ac_outfile"; then
    1725817261     # The compiler can only warn and ignore the option if not recognized
     
    1751817521   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1751917522   -e 's:$: $lt_compiler_flag:'`
    17520    (eval echo "\"\$as_me:17520: $lt_compile\"" >&5)
     17523   (eval echo "\"\$as_me:17523: $lt_compile\"" >&5)
    1752117524   (eval "$lt_compile" 2>conftest.err)
    1752217525   ac_status=$?
    1752317526   cat conftest.err >&5
    17524    echo "$as_me:17524: \$? = $ac_status" >&5
     17527   echo "$as_me:17527: \$? = $ac_status" >&5
    1752517528   if (exit $ac_status) && test -s "$ac_outfile"; then
    1752617529     # The compiler can only warn and ignore the option if not recognized
     
    1762217625   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1762317626   -e 's:$: $lt_compiler_flag:'`
    17624    (eval echo "\"\$as_me:17624: $lt_compile\"" >&5)
     17627   (eval echo "\"\$as_me:17627: $lt_compile\"" >&5)
    1762517628   (eval "$lt_compile" 2>out/conftest.err)
    1762617629   ac_status=$?
    1762717630   cat out/conftest.err >&5
    17628    echo "$as_me:17628: \$? = $ac_status" >&5
     17631   echo "$as_me:17631: \$? = $ac_status" >&5
    1762917632   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1763017633   then
     
    2079320796        echo "$as_me:$LINENO: result: yes: $COINDEPEND_VERSIONS" >&5
    2079420797echo "${ECHO_T}yes: $COINDEPEND_VERSIONS" >&6
    20795         REQUIREDPACKAGES="$REQUIREDPACKAGES coinutils = trunk osi cgl"
     20798        REQUIREDPACKAGES="coinutils = trunk osi cgl $REQUIREDPACKAGES"
    2079620799
    2079720800
     
    2109621099
    2109721100    ADDLIBS="$ADDLIBS $COINUTILS_LIBS"
    21098        REQUIREDPACKAGES="$REQUIREDPACKAGES coinutils"
     21101       REQUIREDPACKAGES="coinutils $REQUIREDPACKAGES"
    2109921102
    2110021103
     
    2116021163
    2116121164    ADDLIBS="$ADDLIBS $OSI_LIBS"
    21162        REQUIREDPACKAGES="$REQUIREDPACKAGES osi"
     21165       REQUIREDPACKAGES="osi $REQUIREDPACKAGES"
    2116321166
    2116421167
     
    2122421227
    2122521228    ADDLIBS="$ADDLIBS $CGL_LIBS"
    21226        REQUIREDPACKAGES="$REQUIREDPACKAGES cgl"
     21229       REQUIREDPACKAGES="cgl $REQUIREDPACKAGES"
    2122721230
    2122821231
     
    2124521248fi
    2124621249
    21247   COINDEPEND_LIBS="$COINUTILS_LIBS $BLAS_LIBS $LAPACK_LIBS $GLPK_LIBS $OSI_LIBS $CGL_LIBS"
     21250  COINDEPEND_LIBS="$CGL_LIBS $OSI_LIBS $COINUTILS_LIBS $LAPACK_LIBS $BLAS_LIBS $GLPK_LIBS"
    2124821251  COINDEPEND_CFLAGS="$COINUTILS_CFLAGS $GLPK_CFLAGS $OSI_CFLAGS $CGL_CFLAGS"
    2124921252  if test "${coin_has_coinutils}${coin_has_osi}${coin_has_cgl}" = yesyesyes ; then
     
    2135421357        echo "$as_me:$LINENO: result: yes: $CLP_VERSIONS" >&5
    2135521358echo "${ECHO_T}yes: $CLP_VERSIONS" >&6
    21356         REQUIREDPACKAGES="$REQUIREDPACKAGES osi-clp"
     21359        REQUIREDPACKAGES="osi-clp $REQUIREDPACKAGES"
    2135721360
    2135821361
     
    2147021473
    2147121474    ADDLIBS="$ADDLIBS $CLP_LIBS"
    21472        REQUIREDPACKAGES="$REQUIREDPACKAGES clp"
     21475       REQUIREDPACKAGES="clp $REQUIREDPACKAGES"
    2147321476
    2147421477
     
    2155121554
    2155221555    ADDLIBS="$ADDLIBS $OSICLP_LIBS"
    21553        REQUIREDPACKAGES="$REQUIREDPACKAGES osi-clp"
     21556       REQUIREDPACKAGES="osi-clp $REQUIREDPACKAGES"
    2155421557
    2155521558
     
    2166521668        echo "$as_me:$LINENO: result: yes: $DYLP_VERSIONS" >&5
    2166621669echo "${ECHO_T}yes: $DYLP_VERSIONS" >&6
    21667         REQUIREDPACKAGES="$REQUIREDPACKAGES osi-dylp"
     21670        REQUIREDPACKAGES="osi-dylp $REQUIREDPACKAGES"
    2166821671
    2166921672
     
    2181721820        echo "$as_me:$LINENO: result: yes: $VOL_VERSIONS" >&5
    2181821821echo "${ECHO_T}yes: $VOL_VERSIONS" >&6
    21819         REQUIREDPACKAGES="$REQUIREDPACKAGES osi-vol"
     21822        REQUIREDPACKAGES="osi-vol $REQUIREDPACKAGES"
    2182021823
    2182121824
     
    2288422887        echo "$as_me:$LINENO: result: yes: $CPX_VERSIONS" >&5
    2288522888echo "${ECHO_T}yes: $CPX_VERSIONS" >&6
    22886         REQUIREDPACKAGES="$REQUIREDPACKAGES osi-cplex"
     22889        REQUIREDPACKAGES="osi-cplex $REQUIREDPACKAGES"
    2288722890
    2288822891
     
    2303623039        echo "$as_me:$LINENO: result: yes: $GLPK_VERSIONS" >&5
    2303723040echo "${ECHO_T}yes: $GLPK_VERSIONS" >&6
    23038         REQUIREDPACKAGES="$REQUIREDPACKAGES osi-glpk"
     23041        REQUIREDPACKAGES="osi-glpk $REQUIREDPACKAGES"
    2303923042
    2304023043
     
    2318823191        echo "$as_me:$LINENO: result: yes: $GRB_VERSIONS" >&5
    2318923192echo "${ECHO_T}yes: $GRB_VERSIONS" >&6
    23190         REQUIREDPACKAGES="$REQUIREDPACKAGES osi-gurobi"
     23193        REQUIREDPACKAGES="osi-gurobi $REQUIREDPACKAGES"
    2319123194
    2319223195
     
    2334023343        echo "$as_me:$LINENO: result: yes: $MSK_VERSIONS" >&5
    2334123344echo "${ECHO_T}yes: $MSK_VERSIONS" >&6
    23342         REQUIREDPACKAGES="$REQUIREDPACKAGES osi-mosek"
     23345        REQUIREDPACKAGES="osi-mosek $REQUIREDPACKAGES"
    2334323346
    2334423347
     
    2341023413
    2341123414
    23412 #AC_COIN_HAS_MODULE(Spx,  [osi-soplex])
     23415
     23416echo "$as_me:$LINENO: checking for COIN-OR module Spx" >&5
     23417echo $ECHO_N "checking for COIN-OR module Spx... $ECHO_C" >&6
     23418
     23419coin_has_spx=notGiven
     23420
     23421# check if user wants to skip module in any case
     23422if test x"$COIN_SKIP_PROJECTS" != x; then
     23423  for dir in $COIN_SKIP_PROJECTS; do
     23424    if test $dir = "Spx"; then
     23425      coin_has_spx=skipping
     23426    fi
     23427  done
     23428fi
     23429
     23430SPX_LIBS=
     23431SPX_CFLAGS=
     23432SPX_DATA=
     23433
     23434
     23435
     23436
     23437
     23438#check if user provided LIBS, CFLAGS, and DATA for module
     23439if test $coin_has_spx != skipping; then
     23440
     23441
     23442# Check whether --with-m4_tolower(Spx)-lib or --without-m4_tolower(Spx)-lib was given.
     23443if test "${with_spx_lib+set}" = set; then
     23444  withval="$with_spx_lib"
     23445  coin_has_spx=yes
     23446       SPX_LIBS="$withval"
     23447       ADDLIBS="$ADDLIBS $withval"
     23448
     23449fi;
     23450
     23451
     23452# Check whether --with-m4_tolower(Spx)-incdir or --without-m4_tolower(Spx)-incdir was given.
     23453if test "${with_spx_incdir+set}" = set; then
     23454  withval="$with_spx_incdir"
     23455  coin_has_spx=yes
     23456     SPX_CFLAGS="-I`${CYGPATH_W} $withval`"
     23457fi;
     23458
     23459
     23460# Check whether --with-m4_tolower(Spx)-datadir or --without-m4_tolower(Spx)-datadir was given.
     23461if test "${with_spx_datadir+set}" = set; then
     23462  withval="$with_spx_datadir"
     23463  coin_has_spx=yes
     23464     SPX_DATA="$withval"
     23465fi;
     23466fi
     23467
     23468if test $coin_has_spx = notGiven; then
     23469  if test -n "$PKG_CONFIG" ; then
     23470    # set search path for pkg-config
     23471    # need to export variable to be sure that the following pkg-config gets these values
     23472    coin_save_PKG_CONFIG_PATH="$PKG_CONFIG_PATH"
     23473    PKG_CONFIG_PATH="$COIN_PKG_CONFIG_PATH"
     23474    export PKG_CONFIG_PATH
     23475
     23476    # let pkg-config do it's magic
     23477
     23478
     23479
     23480if test -n "$PKG_CONFIG" ; then
     23481  if $PKG_CONFIG --exists "osi-soplex"; then
     23482    SPX_VERSIONS="`$PKG_CONFIG --modversion osi-soplex 2>/dev/null`"
     23483     cflags=`$PKG_CONFIG --cflags "osi-soplex" 2>/dev/null`
     23484    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
     23485        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     23486        # but only do this if is not trivial
     23487    if test "$CYGPATH_W" != "echo" ; then
     23488      # need to put into brackets since otherwise autoconf replaces the brackets in the sed command
     23489          cflags=`echo $cflags | sed -e 's/-I\([^ ]*\)/-I\`${CYGPATH_W} \1\`/g'`
     23490        fi
     23491    SPX_CFLAGS="$cflags"
     23492    SPX_LIBS=`$PKG_CONFIG --libs "osi-soplex" 2>/dev/null`
     23493    SPX_DATA=`$PKG_CONFIG --variable=datadir "osi-soplex" 2>/dev/null`
     23494     coin_has_spx=yes
     23495        echo "$as_me:$LINENO: result: yes: $SPX_VERSIONS" >&5
     23496echo "${ECHO_T}yes: $SPX_VERSIONS" >&6
     23497        REQUIREDPACKAGES="osi-soplex $REQUIREDPACKAGES"
     23498
     23499
     23500  else
     23501    SPX_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors osi-soplex`
     23502      coin_has_spx=notGiven
     23503        echo "$as_me:$LINENO: result: not given: $SPX_PKG_ERRORS" >&5
     23504echo "${ECHO_T}not given: $SPX_PKG_ERRORS" >&6
     23505
     23506  fi
     23507else
     23508  { { echo "$as_me:$LINENO: error: \"Cannot check for existance of module Spx without pkg-config\"" >&5
     23509echo "$as_me: error: \"Cannot check for existance of module Spx without pkg-config\"" >&2;}
     23510   { (exit 1); exit 1; }; }
     23511fi
     23512
     23513
     23514
     23515
     23516    # reset PKG_CONFIG_PATH variable
     23517    PKG_CONFIG_PATH="$coin_save_PKG_CONFIG_PATH"
     23518  else
     23519    #if 4th argument is given, try fallback - whereby we take the first word from osi-soplex as basename for the .pc file
     23520    echo "$as_me:$LINENO: result: skipped check via pkg-config" >&5
     23521echo "${ECHO_T}skipped check via pkg-config" >&6
     23522
     23523  fi
     23524
     23525else
     23526  echo "$as_me:$LINENO: result: $coin_has_spx" >&5
     23527echo "${ECHO_T}$coin_has_spx" >&6
     23528fi
     23529
     23530if test $coin_has_spx != skipping &&
     23531   test $coin_has_spx != notGiven ; then
     23532  if test 0 = 1 ; then  #change this test to enable a bit of debugging output
     23533  if test -n "$SPX_CFLAGS" ; then
     23534    { echo "$as_me:$LINENO: Spx CFLAGS are $SPX_CFLAGS" >&5
     23535echo "$as_me: Spx CFLAGS are $SPX_CFLAGS" >&6;}
     23536  fi
     23537  if test -n "$SPX_LIBS" ; then
     23538    { echo "$as_me:$LINENO: Spx LIBS   are $SPX_LIBS" >&5
     23539echo "$as_me: Spx LIBS   are $SPX_LIBS" >&6;}
     23540  fi
     23541  if test -n "$SPX_DATA" ; then
     23542    { echo "$as_me:$LINENO: Spx DATA   is  $SPX_DATA" >&5
     23543echo "$as_me: Spx DATA   is  $SPX_DATA" >&6;}
     23544  fi
     23545  fi
     23546
     23547cat >>confdefs.h <<\_ACEOF
     23548#define COIN_HAS_SPX 1
     23549_ACEOF
     23550
     23551fi
     23552
     23553# Define the Makefile conditional
     23554
     23555
     23556if test $coin_has_spx != notGiven &&
     23557                test $coin_has_spx != skipping; then
     23558  COIN_HAS_SPX_TRUE=
     23559  COIN_HAS_SPX_FALSE='#'
     23560else
     23561  COIN_HAS_SPX_TRUE='#'
     23562  COIN_HAS_SPX_FALSE=
     23563fi
     23564
     23565
     23566
    2341323567
    2341423568echo "$as_me:$LINENO: checking for COIN-OR module Xpr" >&5
     
    2349323647        echo "$as_me:$LINENO: result: yes: $XPR_VERSIONS" >&5
    2349423648echo "${ECHO_T}yes: $XPR_VERSIONS" >&6
    23495         REQUIREDPACKAGES="$REQUIREDPACKAGES osi-xpress"
     23649        REQUIREDPACKAGES="osi-xpress $REQUIREDPACKAGES"
    2349623650
    2349723651
     
    2384624000
    2384724001case $cbc_default_solver in
    23848    clp)
    23849     ;;
    23850   dylp)
    23851     ;;
    23852   glpk)
    23853     ;;
    23854      *)
    23855     { echo "$as_me:$LINENO: WARNING: Unrecognised solver $cbc_default_solver chosen as cbc-generic default solver." >&5
     24002    clp)
     24003      ;;
     24004   dylp)
     24005      ;;
     24006   glpk)
     24007      ;;
     24008 soplex)
     24009      ;;
     24010      *)
     24011      { echo "$as_me:$LINENO: WARNING: Unrecognised solver $cbc_default_solver chosen as cbc-generic default solver." >&5
    2385624012echo "$as_me: WARNING: Unrecognised solver $cbc_default_solver chosen as cbc-generic default solver." >&2;}
    23857     ;;
     24013      ;;
    2385824014esac
    2385924015
     
    2411024266    osi_exists_solver=${coin_has_msk-"unavailable"}
    2411124267    ;;
     24268  [Ss][Pp][Xx]*)
     24269    osi_lc_solver=spx ;
     24270    osi_mc_solver=Spx
     24271    osi_uc_solver=SPX
     24272    osi_exists_solver=${coin_has_spx-"unavailable"}
     24273    ;;
    2411224274  [Ss][Yy][Mm]*)
    2411324275    osi_lc_solver=sym ;
     
    2423324395
    2423424396
     24397if test $osi_mc_solver = Spx; then
     24398  OSICBC_DFLT_SOLVER_SPX_TRUE=
     24399  OSICBC_DFLT_SOLVER_SPX_FALSE='#'
     24400else
     24401  OSICBC_DFLT_SOLVER_SPX_TRUE='#'
     24402  OSICBC_DFLT_SOLVER_SPX_FALSE=
     24403fi
     24404
     24405
     24406
    2423524407if test $osi_mc_solver = Sym; then
    2423624408  OSICBC_DFLT_SOLVER_SYM_TRUE=
     
    2464224814   { (exit 1); exit 1; }; }
    2464324815fi
     24816if test -z "${COIN_HAS_SPX_TRUE}" && test -z "${COIN_HAS_SPX_FALSE}"; then
     24817  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_SPX\" was never defined.
     24818Usually this means the macro was only invoked conditionally." >&5
     24819echo "$as_me: error: conditional \"COIN_HAS_SPX\" was never defined.
     24820Usually this means the macro was only invoked conditionally." >&2;}
     24821   { (exit 1); exit 1; }; }
     24822fi
    2464424823if test -z "${COIN_HAS_XPR_TRUE}" && test -z "${COIN_HAS_XPR_FALSE}"; then
    2464524824  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_XPR\" was never defined.
     
    2470924888Usually this means the macro was only invoked conditionally." >&5
    2471024889echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_MSK\" was never defined.
     24890Usually this means the macro was only invoked conditionally." >&2;}
     24891   { (exit 1); exit 1; }; }
     24892fi
     24893if test -z "${OSICBC_DFLT_SOLVER_SPX_TRUE}" && test -z "${OSICBC_DFLT_SOLVER_SPX_FALSE}"; then
     24894  { { echo "$as_me:$LINENO: error: conditional \"OSICBC_DFLT_SOLVER_SPX\" was never defined.
     24895Usually this means the macro was only invoked conditionally." >&5
     24896echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_SPX\" was never defined.
    2471124897Usually this means the macro was only invoked conditionally." >&2;}
    2471224898   { (exit 1); exit 1; }; }
     
    2544025626s,@COIN_HAS_MSK_TRUE@,$COIN_HAS_MSK_TRUE,;t t
    2544125627s,@COIN_HAS_MSK_FALSE@,$COIN_HAS_MSK_FALSE,;t t
     25628s,@SPX_LIBS@,$SPX_LIBS,;t t
     25629s,@SPX_CFLAGS@,$SPX_CFLAGS,;t t
     25630s,@SPX_DATA@,$SPX_DATA,;t t
     25631s,@COIN_HAS_SPX_TRUE@,$COIN_HAS_SPX_TRUE,;t t
     25632s,@COIN_HAS_SPX_FALSE@,$COIN_HAS_SPX_FALSE,;t t
    2544225633s,@XPR_LIBS@,$XPR_LIBS,;t t
    2544325634s,@XPR_CFLAGS@,$XPR_CFLAGS,;t t
     
    2546425655s,@OSICBC_DFLT_SOLVER_MSK_TRUE@,$OSICBC_DFLT_SOLVER_MSK_TRUE,;t t
    2546525656s,@OSICBC_DFLT_SOLVER_MSK_FALSE@,$OSICBC_DFLT_SOLVER_MSK_FALSE,;t t
     25657s,@OSICBC_DFLT_SOLVER_SPX_TRUE@,$OSICBC_DFLT_SOLVER_SPX_TRUE,;t t
     25658s,@OSICBC_DFLT_SOLVER_SPX_FALSE@,$OSICBC_DFLT_SOLVER_SPX_FALSE,;t t
    2546625659s,@OSICBC_DFLT_SOLVER_SYM_TRUE@,$OSICBC_DFLT_SOLVER_SYM_TRUE,;t t
    2546725660s,@OSICBC_DFLT_SOLVER_SYM_FALSE@,$OSICBC_DFLT_SOLVER_SYM_FALSE,;t t
Note: See TracChangeset for help on using the changeset viewer.